using NUnit.Framework;
using PkmnLibSharp.Library;

namespace PkmnLibSharpTests.Library
{
    public class LibrarySettingsTests
    {
        [Test]
        public void ConstructDestruct()
        {
            var s = new LibrarySettings(100, 4, 4096);
            s.Dispose();
        }
        
        [Test]
        public void GetMaximalLevel()
        {
            var s = new LibrarySettings(100, 4, 4096);
            Assert.AreEqual(s.MaximalLevel, 100);
            s.Dispose();
        }
        
        [Test]
        public void GetMaximalMoves()
        {
            var s = new LibrarySettings(100, 4, 4096);
            Assert.AreEqual(s.MaximalMoves, 4);
            s.Dispose();
        }
        
        [Test]
        public void GetShiny()
        {
            var s = new LibrarySettings(100, 4, 4096);
            Assert.AreEqual(s.ShinyRate, 4096);
            s.Dispose();
        }
    }
}